For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • POSTCreate a new workflow revision
      • GETList all workflows
      • POSTCreate a new workflow
      • GETGet a workflow by ID
      • PUTUpdate a workflow
      • DELDelete a workflow
      • STREAMExecute a workflow.
      • POSTExecute a workflow with provided config.
LogoLogo
Scout DocsAccess Scout
EndpointsWorkflows

Delete a workflow

Beta
DELETE
https://api.scoutos.com/v2/workflows/:workflow_id
DELETE
/v2/workflows/:workflow_id
$curl -X DELETE https://api.scoutos.com/v2/workflows/workflow_id \
> -H "Authorization: Bearer <token>"
1{
2 "detail": "Workflow with ID 'a1b2c3d4-e5f6-7890-ab12-cdef34567890' has been successfully deleted."
3}
Was this page helpful?
Previous

Execute a workflow.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_idstringRequired

Response

Successful Response
detailstring

Errors

422
Unprocessable Entity Error